Foros del Web » Programando para Internet » PHP »

Error al cargar la libreria php_oci8.dll

Estas en el tema de Error al cargar la libreria php_oci8.dll en el foro de PHP en Foros del Web. Tengo instalada la version 4.1.1 de php utilizando el IIS4, he descomentado la extension php_oci8.dll del php.ini y cuando se intenta cargar sale el mensaje: ...
  #1 (permalink)  
Antiguo 15/02/2002, 13:25
 
Fecha de Ingreso: febrero-2002
Mensajes: 13
Antigüedad: 15 años, 10 meses
Puntos: 0
Error al cargar la libreria php_oci8.dll

Tengo instalada la version 4.1.1 de php utilizando el IIS4, he descomentado la extension php_oci8.dll del php.ini y cuando se intenta cargar sale el mensaje:
'No se ha podido encontrar el punto de entrada al procedimiento OCILobClose en la biblioteca de vinculo dinámico'
... y por lo tanto no puedo cargar la libreria php_oci8.dll.
Se os ocurre algo?
  #2 (permalink)  
Antiguo 15/02/2002, 14:29
Avatar de Webstudio
Colaborador
 
Fecha de Ingreso: noviembre-2001
Ubicación: 127.0.0.1
Mensajes: 3.499
Antigüedad: 16 años, 1 mes
Puntos: 68
Re: Error al cargar la libreria php_oci8.dll

jica, tienes instalado el Oracle correctamente en tu servidor?

Saludos.

<hr><font size=2 face="verdana">- Pablo Daniel Rigazzi (Webstudio)
<font size=1 color="#333333">COORDINADOR PROYECTO REGIONALIZACION ARGENTINA
Visita <a href="http://www.web-studio.com.ar" target="_blank">Web Studio</a> - Tutoriales Photoshop</fo
  #3 (permalink)  
Antiguo 18/02/2002, 05:34
 
Fecha de Ingreso: febrero-2002
Mensajes: 13
Antigüedad: 15 años, 10 meses
Puntos: 0
Re: Error al cargar la libreria php_oci8.dll

En el servidor donde tengo instalado el IIS sólo tengo instalado el cliente de oracle8...
Mi intención era conectarme a una base de datos remota situada en otro servidor donde si está instalado correctamente el servidor de oracle 8.1.5.
  #4 (permalink)  
Antiguo 18/02/2002, 08:33
Avatar de Webstudio
Colaborador
 
Fecha de Ingreso: noviembre-2001
Ubicación: 127.0.0.1
Mensajes: 3.499
Antigüedad: 16 años, 1 mes
Puntos: 68
Re: Error al cargar la libreria php_oci8.dll

Entonces no necesitás instalar soporte para Oracle en tu server, porque para hacerlo necesitas librerias que trae la instalación del Oracle.
Lo que tienes que hacer es utilizar ODBC para acceder al otro Oracle remotamente.

Saludos.

<hr><font size=2 face="verdana">- Pablo Daniel Rigazzi (Webstudio)
<font size=1 color="#333333">COORDINADOR PROYECTO REGIONALIZACION ARGENTINA
Visita <a href="http://www.web-studio.com.ar" target="_blank">Web Studio</a> - Tutoriales Photoshop</fo
  #5 (permalink)  
Antiguo 18/02/2002, 08:38
 
Fecha de Ingreso: febrero-2002
Mensajes: 13
Antigüedad: 15 años, 10 meses
Puntos: 0
Re: Error al cargar la libreria php_oci8.dll

Y si en vez de conectarme a la base de datos remota vía ODBC lo hago utilizando directivas nativas de oracle tipo:

OCILogon, OCIParse, OCIExecute ...

pienso que debería necesitar las citadas librerías ... a lo peor estoy equivocado.
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 02:26.